Repository 32bit  Forum
Repository 64bit  Wiki

Installazione Driver ATI proprietari

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » mar dic 18, 2012 16:13

Comincio a credere di avere una maledizione che mi perseguita con le schede video... Altro pc altra scheda video questa volta Nvidia, ho seguito la guida di Navajo su questo sito, ho modificato xorg.conf
Codice: Seleziona tutto
root@Neo:~# cat /etc/X11/xorg.conf
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildmeister@builder58)  Thu Jul 14 23:41:14 PD                                                                                        T 2011

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
    FontPath        "/usr/lib64/X11/fonts/misc/:unscaled"
    FontPath        "/usr/lib64/X11/fonts/100dpi/:unscaled"
    FontPath        "/usr/lib64/X11/fonts/75dpi/:unscaled"
    FontPath        "/usr/lib64/X11/fonts/misc/"
    FontPath        "/usr/lib64/X11/fonts/Type1/"
    FontPath        "/usr/lib64/X11/fonts/Speedo/"
    FontPath        "/usr/lib64/X11/fonts/100dpi/"
    FontPath        "/usr/lib64/X11/fonts/75dpi/"
    FontPath        "/usr/lib64/X11/fonts/cyrillic/"
    FontPath        "/usr/lib64/X11/fonts/TTF/"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5 6 7"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       30.0 - 110.0
    VertRefresh     50.0 - 150.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    Videoram       131072
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       24
        Modes      "1280x1024"
    EndSubSection
EndSection

Section "Module"
   #Load  "dri"
   #Load  "GLCore"
    Load "glx"
EndSection

Per una volta si è installato tutto senza dare grane, do startx
Codice: Seleziona tutto
xauth:  file /root/.serverauth.3204 does not exist


X.Org X Server 1.12.3
Release Date: 2012-07-09
X Protocol Version 11, Revision 0
Build Operating System: Slackware 14.0 Slackware Linux Project
Current Operating System: Linux Neo 3.2.29 #2 SMP Mon Sep 17 14:19:22 CDT 2012 x86_64
Kernel command line: BOOT_IMAGE=Linux ro root=802 vt.default_utf8=0
Build Date: 23 August 2012  02:03:27PM

Current version of pixman: 0.26.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Dec 18 16:12:49 2012
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 12.0 that is not
supported by this NVIDIA driver.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
=================================================================
(EE) NVIDIA: Use the -ignoreABI option to override this check.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Server terminated with error (1). Closing log file.

da /var/log/Xorg.0.log
Codice: Seleziona tutto
[  1036.309] ================ WARNING WARNING WARNING WARNING ================
[  1036.309] This server has a video driver ABI version of 12.0 that is not
supported by this NVIDIA driver.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[  1036.309] =================================================================
[  1036.309] (EE) NVIDIA: Use the -ignoreABI option to override this check.
[  1036.309] (II) UnloadModule: "nvidia"
[  1036.309] (II) Unloading nvidia
[  1036.309] (EE) Failed to load module "nvidia" (module requirement mismatch, 0)
[  1036.309] (EE) No drivers available.
[  1036.309]
Fatal server error:
[  1036.309] no screens found
[  1036.309]
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[  1036.309] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  1036.309]
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda rik70 » mar dic 18, 2012 17:46

Che versione dei driver hai installato?
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » mar dic 18, 2012 21:24

DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda targzeta » mar dic 18, 2012 21:28

nvidia???

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6186
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Installazione Driver ATI proprietari

Messaggioda 414N » mar dic 18, 2012 21:32

DarkNeo ha scritto:Comincio a credere di avere una maledizione che mi perseguita con le schede video... Altro pc altra scheda video questa volta Nvidia, ho seguito la guida di Navajo su questo sito, ho modificato xorg.conf[...]

Direi allora che non c'entra più col topic in questione in questo thread.
L'errore riportato da X è che il driver ha una ABI diversa da quella presentata dal X server, percui si rifiuta di proseguire. Controlla con quali versioni di X è compatibile il driver che hai scaricato e, se non supporta Xorg 1.12.x allora scaricane uno che lo supporti.
Tutto questo, ovviamente, te lo avevo detto il driver stesso:
DarkNeo ha scritto:
Codice: Seleziona tutto
[  1036.309] This server has a video driver ABI version of 12.0 that is not
supported by this NVIDIA driver.  Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.


Apri un altro thread se proprio non riesci a venirne a capo, più che "inquinare" questo.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Installazione Driver ATI proprietari

Messaggioda rik70 » mar dic 18, 2012 22:13

DarkNeo ha scritto:http://www.nvidia.it/object/linux-display-amd64-96.43.20-driver-it.html


Sei incappato nei driver legacy + assurdi che si possano immaginare.

Non supportano le nuove versioni di Xorg, ma supportano i nuovi kernel. Hai idea tu del motivo di una scelta tanto "bizzarra"? Io ancora non .......

Guarda, solo per toglierti uno sfizio, puoi provare a lanciare X in questo modo:

Codice: Seleziona tutto
startx -- -ignoreABI


ma tanto non partirà mai (purtroppo).

A tuo rischio e pericolo.
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » mer dic 19, 2012 23:35

@rik70 Avevo provato pure io ma purtroppo non va..
@414N Hai ragione riguardo all'off topic. Apro un nuovo topic riguardante questo problema.
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » sab dic 22, 2012 20:08

414N ha scritto:Ne avresti anche di più se usassi l'ultima versione di Ubuntu che, se non vado errato, usa Xorg 1.13 che non è supportato dai driver legacy, percui dovresti anche eseguire un downgrade del server X prima di poter provare i driver.
Ovviamente c'è chi ha già provveduto a preparare la pappa per tutti con un PPA apposito.

Codice: Seleziona tutto
To use legacy Catalyst 12.6 you need to do following commands:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

And restart your computer.

This repository is downgradeing X-Server from 1.13 to 1.12.4 (which is maximum version supported by the drivers). Also driver Catalyst 12.6 (fglrx 8.97.100.3) is patched with this:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/993427/comments/14
so it could work on Linux kernel 3.5.

Io c'ho provato è non è andata molto bene allora ho seguito http://askubuntu.com/questions/203232/radeon-hd-2000-3000-4000-on-12-10-quantal-fglrx-legacy-12-6-unsupported-wh
Codice: Seleziona tutto
unzip amd-driver-installer-*
sudo sh ./amd-driver-installer-*.run --buildpkg Ubuntu/quantal
sudo dpkg -i fglrx*.deb
sudo aticonfig --initial -f

Sono riuscito a creare i 3 pacchetti
Codice: Seleziona tutto
fglrx_8.970-0ubuntu1_amd64.deb fglrx-amdcccle_8.970-0ubuntu1_amd64.deb fglrx-dev_8.970-0ubuntu1_amd64.deb

Ho installato le varie dipendenze per arrivare a dare dpkg -i fglrx*
ed ecco l'errore che non mi spiego
Codice: Seleziona tutto
root@DarkNeo:/home/neo/Scaricati# dpkg -i fglrx*
(Lettura del database... 148606 file e directory attualmente installati.)
Preparativi per sostituire fglrx v.2:8.970-0ubuntu1 (utilizzando fglrx_8.970-0ubuntu1_amd64.deb)...
Removing all DKMS Modules
Done.
Estrazione del sostituto di fglrx...
Preparativi per sostituire fglrx-amdcccle v.2:8.970-0ubuntu1 (utilizzando fglrx-amdcccle_8.970-0ubuntu1_amd64.deb)...
Estrazione del sostituto di fglrx-amdcccle...
Preparativi per sostituire fglrx-dev v.2:8.970-0ubuntu1 (utilizzando fglrx-dev_8.970-0ubuntu1_amd64.deb)...
Estrazione del sostituto di fglrx-dev...
dpkg-deb: errore: "fglrx-installer_8.970-0ubuntu1_amd64.changes" non è un archivio in formato debian
dpkg: errore nell'elaborare fglrx-installer_8.970-0ubuntu1_amd64.changes (--install):
 il sottoprocesso dpkg-deb --control ha restituito lo stato di errore 2
Configurazione di fglrx (2:8.970-0ubuntu1)...
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.970 DKMS files...
Building only for 3.5.0-17-generic
Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
update-initramfs: deferring update (trigger activated)
Elaborazione dei trigger per ureadahead...
Elaborazione dei trigger per bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Configurazione di fglrx-amdcccle (2:8.970-0ubuntu1)...
Configurazione di fglrx-dev (2:8.970-0ubuntu1)...
Elaborazione dei trigger per initramfs-tools...
update-initramfs: Generating /boot/initrd.img-3.5.0-17-generic
Elaborazione dei trigger per libc-bin...
ldconfig deferred processing now taking place
Si sono verificati degli errori nell'elaborazione:
 fglrx-installer_8.970-0ubuntu1_amd64.changes

Perchè ci deve essere sempre qualcosa che va storto?
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda 414N » dom dic 23, 2012 13:47

Semplice, perché vai ad incasinarti la vita in autonomia :)
I passaggi che hai seguito sono quelli che un utente di Ubuntu ha provato per poter installare i driver proprietari senza però arrivare a capo di niente, tant'è vero che ha aperto un thread per chiedere come fare ("Radeon HD 2000, 3000, 4000 on 12.10 Quantal: fglrx (legacy) 12.6 unsupported, what to do?"). Non dovevi fermarti al primo post (che è quello che elenca i passi svolti con i problemi risultanti), ma continuare a leggere le risposte di altri utenti che, guardacaso, propongono come workaround il downgrade di X tramite il PPA che ti ho riportato io stesso nel mio precedente post.
Ricordati che per poter essere aiutato devi porci in condizione di aiutarti, quindi è inutile dire "non è andata molto bene" senza riportare un qualche messaggio d'errore che t'ha portato a pensare questo...
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » lun dic 24, 2012 1:56

Hai ragione ho tralasciato un po di dettagli in quel post. Vi aggiorno la situazione in maniera più dettagliata.
Quell'errore l'ho risolto, praticamente creando i pacchetti fglrx ne ha creato uno .change quindi dando dpkg -i fglrx* provava ad installare pure quello e non concludeva, di conseguenza sono riuscito ad installare tutti e 3 i pacchetti e a dare aticonfig --initial -f
Con questo risultato al successivo riavvio
Codice: Seleziona tutto
$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 153 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 12
Current serial number in output stream: 12

xorg.conf
Codice: Seleziona tutto
root@DarkNeo:~# cat /etc/X11/xorg.conf
Section "ServerLayout"
   Identifier     "aticonfig Layout"
   Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
   Identifier   "aticonfig-Monitor[0]-0"
   Option       "VendorName" "ATI Proprietary Driver"
   Option       "ModelName" "Generic Autodetecting Monitor"
   Option       "DPMS" "true"
EndSection

Section "Device"
   Identifier  "aticonfig-Device[0]-0"
   Driver      "fglrx"
   BusID       "PCI:1:5:0"
EndSection

Section "Screen"
   Identifier "aticonfig-Screen[0]-0"
   Device     "aticonfig-Device[0]-0"
   Monitor    "aticonfig-Monitor[0]-0"
   DefaultDepth     24
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

root@DarkNeo:~# vi /etc/modprobe.d/blacklist.con
root@DarkNeo:~# cat /etc/X11/xorg.conf
Section "ServerLayout"
   Identifier     "aticonfig Layout"
   Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
   Identifier   "aticonfig-Monitor[0]-0"
   Option       "VendorName" "ATI Proprietary Driver"
   Option       "ModelName" "Generic Autodetecting Monitor"
   Option       "DPMS" "true"
EndSection

Section "Device"
   Identifier  "aticonfig-Device[0]-0"
   Driver      "fglrx"
   BusID       "PCI:1:5:0"
EndSection

Section "Screen"
   Identifier "aticonfig-Screen[0]-0"
   Device     "aticonfig-Device[0]-0"
   Monitor    "aticonfig-Monitor[0]-0"
   DefaultDepth     24
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

Nel dubbio ho anche aggiunto nel /etc/modprobe.d/blacklist.conf sia radeon che nouveau.
Il fatto è che il login grafico di ubuntu parte, la grafica parte ma carica solo l'immagine del desktop senza nient'altro.
Ho provato anche a seguire la guida che segue http://www.ubuntuvibes.com/2012/10/how- ... egacy.html come del resto mi avevi consigliato anche te, però non va e non so perchè.
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » lun dic 24, 2012 2:18

Codice: Seleziona tutto
[    14.519]
X.Org X Server 1.13.0
Release Date: 2012-09-05
[    14.519] X Protocol Version 11, Revision 0
[    14.519] Build Operating System: Linux 3.2.0-30-generic x86_64 Ubuntu
[    14.519] Current Operating System: Linux DarkNeo 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64
[    14.519] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=b6fdf641-f65d-4b5c-88fd-14cf062f7785 ro quiet splash vt.handoff=7
[    14.519] Build Date: 08 October 2012  03:34:01PM
[    14.519] xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support)
[    14.519] Current version of pixman: 0.26.0
[    14.519]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[    14.519] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    14.519] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Dec 24 01:57:46 2012
[    14.520] (==) Using config file: "/etc/X11/xorg.conf"
[    14.520] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    14.520] (==) ServerLayout "aticonfig Layout"
[    14.520] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[    14.520] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[    14.520] (**) |   |-->Device "aticonfig-Device[0]-0"
[    14.520] (==) Automatically adding devices
[    14.520] (==) Automatically enabling devices
[    14.520] (==) Automatically adding GPU devices
[    14.520] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    14.520]    Entry deleted from font path.
[    14.520] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    14.520]    Entry deleted from font path.
[    14.520] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    14.520]    Entry deleted from font path.
[    14.520] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    14.520]    Entry deleted from font path.
[    14.520] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    14.520] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[    14.520]    Entry deleted from font path.
[    14.521] (==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/Type1,
        built-ins
[    14.521] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[    14.521] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[    14.521] (II) Loader magic: 0x7f408c0a7c40
[    14.521] (II) Module ABI versions:
[    14.521]    X.Org ANSI C Emulation: 0.4
[    14.521]    X.Org Video Driver: 13.0
[    14.521]    X.Org XInput driver : 18.0
[    14.521]    X.Org Server Extension : 7.0
[    14.522] (--) PCI:*(0:1:5:0) 1002:9712:1025:0293 rev 0, Mem @ 0xd0000000/268435456, 0xcfdf0000/65536, 0xcfe00000/1048576, I/O @ 0x00009000/256
[    14.522] (II) Open ACPI successful (/var/run/acpid.socket)
[    14.522] Initializing built-in extension Generic Event Extension
[    14.522] Initializing built-in extension SHAPE
[    14.522] Initializing built-in extension MIT-SHM
[    14.522] Initializing built-in extension XInputExtension
[    14.522] Initializing built-in extension XTEST
[    14.522] Initializing built-in extension BIG-REQUESTS
[    14.522] Initializing built-in extension SYNC
[    14.522] Initializing built-in extension XKEYBOARD
[    14.522] Initializing built-in extension XC-MISC
[    14.522] Initializing built-in extension SECURITY
[    14.522] Initializing built-in extension XINERAMA
[    14.522] Initializing built-in extension XFIXES
[    14.522] Initializing built-in extension RENDER
[    14.522] Initializing built-in extension RANDR
[    14.522] Initializing built-in extension COMPOSITE
[    14.522] Initializing built-in extension DAMAGE
[    14.522] Initializing built-in extension MIT-SCREEN-SAVER
[    14.522] Initializing built-in extension DOUBLE-BUFFER
[    14.522] Initializing built-in extension RECORD
[    14.522] Initializing built-in extension DPMS
[    14.522] Initializing built-in extension X-Resource
[    14.522] Initializing built-in extension XVideo
[    14.522] Initializing built-in extension XVideo-MotionCompensation
[    14.522] Initializing built-in extension XFree86-VidModeExtension
[    14.522] Initializing built-in extension XFree86-DGA
[    14.522] Initializing built-in extension XFree86-DRI
[    14.522] Initializing built-in extension DRI2
[    14.522] (II) "glx" will be loaded by default.
[    14.522] (II) LoadModule: "glx"
[    14.522] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/extensions/libglx.so
[    14.523] (II) Module glx: vendor="Advanced Micro Devices, Inc."
[    14.523]    compiled for 6.9.0, module version = 1.0.0
[    14.523] Loading extension GLX
[    14.523] (II) LoadModule: "fglrx"
[    14.552] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so
[    14.591] (EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension
[    14.591] (II) UnloadModule: "fglrx"
[    14.591] (II) Unloading fglrx
[    14.591] (EE) Failed to load module "fglrx" (loader failed, 7)
[    14.591] (==) Matched fglrx as autoconfigured driver 0
[    14.591] (==) Matched ati as autoconfigured driver 1
[    14.591] (==) Matched vesa as autoconfigured driver 2
[    14.591] (==) Matched modesetting as autoconfigured driver 3
[    14.591] (==) Matched fbdev as autoconfigured driver 4
[    14.591] (==) Assigned the driver to the xf86ConfigLayout
[    14.591] (II) LoadModule: "fglrx"
[    14.591] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so
[    14.615] (EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension
[    14.615] (II) UnloadModule: "fglrx"
[    14.615] (II) Unloading fglrx
[    14.615] (EE) Failed to load module "fglrx" (loader failed, 7)
[    14.615] (II) LoadModule: "ati"
[    14.643] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
[    14.643] (II) Module ati: vendor="X.Org Foundation"
[    14.643]    compiled for 1.13.0, module version = 6.99.99
[    14.643]    Module class: X.Org Video Driver
[    14.643]    ABI class: X.Org Video Driver, version 13.0
[    14.643] (II) LoadModule: "radeon"
[    14.643] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
[    14.643] (II) Module radeon: vendor="X.Org Foundation"
[    14.643]    compiled for 1.13.0, module version = 6.99.99
[    14.644]    Module class: X.Org Video Driver
[    14.644]    ABI class: X.Org Video Driver, version 13.0
[    14.644] (II) LoadModule: "vesa"
[    14.644] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    14.644] (II) Module vesa: vendor="X.Org Foundation"
[    14.644]    compiled for 1.12.99.902, module version = 2.3.2
[    14.644]    Module class: X.Org Video Driver
[    14.644]    ABI class: X.Org Video Driver, version 13.0
[    14.644] (II) LoadModule: "modesetting"
[    14.644] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    14.644] (II) Module modesetting: vendor="X.Org Foundation"
[    14.644]    compiled for 1.13.0, module version = 0.5.0
[    14.644]    Module class: X.Org Video Driver
[    14.644]    ABI class: X.Org Video Driver, version 13.0
[    14.644] (II) LoadModule: "fbdev"
[    14.645] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    14.645] (II) Module fbdev: vendor="X.Org Foundation"
[    14.645]    compiled for 1.12.99.902, module version = 0.4.3
[    14.645]    Module class: X.Org Video Driver
[    14.645]    ABI class: X.Org Video Driver, version 13.0
[    14.645] (II) RADEON: Driver for ATI Radeon chipsets:

questo dovrebbe essere l'errore da Xorg.0.log
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda 414N » lun dic 24, 2012 9:44

Non capisco perché hai continuato a seguire questa "procedura" quando ti è già stato detto, sia da me sia dal thread che hai riportato, che quel driver NON PUÒ funzionare sulla versione 1.13 di Xorg che Ubuntu possiede di default...
Infatti, l'errore che X riporta nel log:
Codice: Seleziona tutto
(EE) Failed to load /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension

indica che il driver che hai installato cerca di andare a chiamare una qualche funzione che Xorg 1.13 non definisce da nessuna parte, risultando nel mancato caricamento del driver X di fglrx e nell'autocaricamento dei driver ati, vesa, modesetting ed fbdev, con uno qualsiasi di questi che prende il sopravvento ed avvia la sessione grafica.
Ti inviterei a ponderare quanto detto in precedenza, prima di provare qualche altra procedura.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » lun dic 24, 2012 11:59

Non ho dimenticato quanto scritto in precedenza ricordo che questo driver è incompatibile con la versione 1.13, ma seguendo quel wiki che mi hai suggerito non mi fa fare il downgrade, devo farlo a mano solo che non so come e soprattutto di quali pacchetti fare il downgrade. Ho letto che l'ultima versione compatibile con questi driver è la 1.12.6, ma immagino che questo downgrade comprende una serie di pacchetti da downgradare. Come faccio a saperli? Eventualmente il comando è apt-get downgrade xxx?
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: Installazione Driver ATI proprietari

Messaggioda 414N » lun dic 24, 2012 14:52

DarkNeo ha scritto:Non ho dimenticato quanto scritto in precedenza ricordo che questo driver è incompatibile con la versione 1.13, ma seguendo quel wiki che mi hai suggerito non mi fa fare il downgrade, devo farlo a mano solo che non so come e soprattutto di quali pacchetti fare il downgrade.

Vediamo di arrivarci in fondo una volta per tutte...
Ti riporto pari pari le istruzioni presenti nella home di quel PPA che ti ho linkato in precedenza:
Codice: Seleziona tutto
This repository provides AMD Catalyst drivers for legacy graphics Radeon HD 2xxx - 4xxx for Ubuntu 12.10 Quantal Quetzal.

To use legacy Catalyst 12.6 you need to do following commands:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

And restart your computer.

This repository is downgradeing X-Server from 1.13 to 1.12.4 (which is maximum version supported by the drivers). Also driver Catalyst 12.6 (fglrx 8.97.100.3) is patched with this:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/993427/comments/14
so it could work on Linux kernel 3.5.

Hai seguito questi passi? Da quanto scritto, il downgrade dovrebbe essere effettuato in automatico appena lanci "apt-get upgrade".
Se non li hai seguiti, di quale wiki/guida stai parlando? Se li hai seguiti ma non va, cosa è andato storto?
Visto che stiamo andando violentemente OT di nuovo (questo è un forum su Slackware64, non Ubuntu), ti suggerisco di aprire un apposito thread su come risolvere il problema su Ubuntu nella sezione "Gnu/Linux in genere".
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Installazione Driver ATI proprietari

Messaggioda DarkNeo » lun dic 24, 2012 16:20

Riprovo appena arrivo a casa a dare upgrade per fare il downgrade se i driver ati decidono di farmi questo regalo di natale aggiungo un bel risolto se andrà come deve andare apro il topic in GNU/Linux. Ho sempre ansia di riempire il forum di mie problematiche per questo continuo sempre la stessa discussione se vedo che sono sempre gli stessi driver a darmi grane.
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Precedente

Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti